submodules: --recursive needed for gtest in gmock

Signed-off-by: Danny Al-Gaaf <danny.al-gaaf@bisect.de>
This commit is contained in:
Danny Al-Gaaf 2015-03-02 16:54:40 +01:00
parent dbcd55f93f
commit a7b344388b
5 changed files with 5 additions and 5 deletions

View File

@ -29,7 +29,7 @@ else
fi
if test -d ".git" ; then
if ! git submodule sync || ! git submodule update --init; then
if ! git submodule sync || ! git submodule update --init --recursive; then
echo "Error: could not initialize submodule projects"
echo " Network connectivity might be required."
exit 1

View File

@ -24,7 +24,7 @@ We can generate an object corpus for a particular version of ceph like so.
git clone ceph.git
cd ceph
git submodule update --init
git submodule update --init --recursive
#. Build with flag to dump objects to /tmp/foo::

View File

@ -43,7 +43,7 @@ In the ceph source directory, checkout next branch (for point releases use the {
Checkout the submodules::
git submodule update --init
git submodule update --init --recursive
4. Update Build version numbers
================================

View File

@ -83,7 +83,7 @@ repository.
If your submodules are out of date, run::
git submodule update
git submodule update --init --recursive
Choose a Branch
===============

View File

@ -96,7 +96,7 @@ function setup_downstream() {
cd $downstream
git reset --hard $ref || return 1
git submodule sync || return 1
git submodule update --init || return 1
git submodule update --init --recursive || return 1
)
}